gi-gtk4-4.0.12: Gtk 4.x bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Interfaces.BuilderScope

Contents

- Exported types
- Methods

Description

Provides language binding support to `GtkBuilder`.

The goal of `GtkBuilderScope` is to look up programming-language-specific values for strings that are given in a `GtkBuilder` UI file.

The primary intended audience is bindings that want to provide deeper integration of `GtkBuilder` into the language.

A `GtkBuilderScope` instance may be used with multiple `GtkBuilder` objects, even at once.

By default, GTK will use its own implementation of `GtkBuilderScope` for the C language which can be created via `builderCScopeNew`.

If you implement `GtkBuilderScope` for a language binding, you may want to (partially) derive from or fall back to a `BuilderCScope`, as that class implements support for automatic lookups from C symbols.

Synopsis

- newtype BuilderScope = BuilderScope (ManagedPtr BuilderScope)
- class (GObject o, IsDescendantOf BuilderScope o) => IsBuilderScope o
- toBuilderScope :: (MonadIO m, IsBuilderScope o) => o -> m BuilderScope

# Exported types

newtype BuilderScope Source #

Memory-managed wrapper type.

Constructors

BuilderScope (ManagedPtr BuilderScope) |

#### Instances

Instances details

Eq BuilderScope Source # |
Instance details Defined in GI.Gtk.Interfaces.BuilderScope Methods (==) :: BuilderScope -> BuilderScope -> Bool Source # (/=) :: BuilderScope -> BuilderScope -> Bool Source #
GObject BuilderScope Source # |
Instance details Defined in GI.Gtk.Interfaces.BuilderScope
ManagedPtrNewtype BuilderScope Source # |
Instance details Defined in GI.Gtk.Interfaces.BuilderScope Methods toManagedPtr :: BuilderScope -> ManagedPtr BuilderScope Source #
TypedObject BuilderScope Source # |
Instance details Defined in GI.Gtk.Interfaces.BuilderScope Methods glibType :: IO GType Source #
HasParentTypes BuilderScope Source # |
Instance details Defined in GI.Gtk.Interfaces.BuilderScope
IsGValue (Maybe BuilderScope) Source # | Convert `BuilderScope` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Interfaces.BuilderScope Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe BuilderScope -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe BuilderScope) Source #
type ParentTypes BuilderScope Source # |
Instance details Defined in GI.Gtk.Interfaces.BuilderScope type ParentTypes BuilderScope = '[Object]

class (GObject o, IsDescendantOf BuilderScope o) => IsBuilderScope o Source #

Type class for types which can be safely cast to `BuilderScope`, for instance with `toBuilderScope`.

#### Instances

Instances details

(GObject o, IsDescendantOf BuilderScope o) => IsBuilderScope o Source # |
Instance details Defined in GI.Gtk.Interfaces.BuilderScope

toBuilderScope :: (MonadIO m, IsBuilderScope o) => o -> m BuilderScope Source #

Cast to `BuilderScope`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

bindProperty, bindPropertyFull, forceFloating, freezeNotify, getv, isFloating, notify, notifyByPspec, ref, refSink, runDispose, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getData, getProperty, getQdata.

#### Setters

setData, setDataFull, setProperty.